## Apache Zeta Components Manual :: Docs For Class ezcWebdavException

### Webdav::ezcWebdavException

### Class ezcWebdavException

General exception container for the Webdav component.

Source for this file: /Webdav/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavMissingTransportConfigurationException | Exception thrown if no transport configuration could be found to satisfy a configuration.
ezcWebdavInconsistencyException | Exception thrown, whenever an operation failed that should not have failed.
ezcWebdavBrokenRequestUriException | Exception thrown, when a request URI could not be handled by the default
ezcWebdavPluginPreconditionFailedException | Exception thrown if a plugin precondition failed.
ezcWebdavInvalidHookException | Exception thrown if a plugin tries to register for a non-existent hook.
ezcWebdavFileBackendBrokenStorageException | Exception thrown if a stored property storage could not be parsed.
ezcWebdavRequestNotSupportedException | Exception thrown when a request object could not be handled by a backend.
ezcWebdavMissingServerVariableException | Exception thrown, when a required server environment variable has not been set by the webserver.
ezcWebdavNotTransportHandlerException | Exception thrown, when no ezcWebdavTransport could be found for the requesting client.
ezcWebdavBadRequestException | Abstract base class for all exceptions that represent a 400 Bad Request.
ezcWebdavHeadersNotValidatedException | Exception thrown when a request header is requested, but the request headers has not been validated.
ezcWebdavInvalidCallbackException | Exception thrown if a plugin tries to register an invalid callback for a hook.
ezcWebdavUnknownHeaderException | Exception thrown if a header to parse is unknown.
ezcWebdavBrokenBaseUriException | Exception thrown if an incorrect base URI is given to the basic path factory.
ezcWebdavInvalidRequestMethodException | Thrown if an unknwon request method is received.
ezcWebdavLockAdministrationException | Exception thrown if an error occurs in the administrator class.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3